# **Examples**

These Examples demonstrates the difference in executing certain tasks using bitia and normal execution. 

1. Using samtools to view a fastq file with same name as provided in url 




<div id="termynal" data-termynal>

UBUNTU
````bash
apt-get install wget samtools
wget https://zenodo.org/record/3736457/files/1_control_18S_2019_minq7%20-%20Copy.fastq
samtools view 1_control_18S_2019_minq7%20-%20Copy.fastq

````

</div>

<br>

<div id="termynal1" data-termynal>

BiTIA
````bash 

bitia run "samtools view <https://zenodo.org/record/3736457/files/1_control_18S_2019_minq7%20-%20Copy.fastq>"

````

</div>


    
<br>

2. Using samtools to view a fastq file with different file name as provided in url
   
   


<div id="termynal2" data-termynal>

UBUNTU
````bash
apt-get install wget fastqc
wget sample.fastq https://zenodo.org/record/3736457/files/1_control_18S_2019_minq7%20-%20Copy.fastq
samtools convert sample.fastq
````



</div>

<br>
<div id="termynal3" data-termynal>

BiTIA
````bash

bitia run "fastqc <sample.fastq|https://zenodo.org/record/3736457/files/1_control_18S_2019_minq7%20-%20Copy.fastq>"
    
````


</div>



3. Using fastqc to do a Quality check on a fastq file with same file name as provided in url



<div id="termynal4" data-termynal>

UBUNTU
````bash
apt-get install wget fastqc
wget https://zenodo.org/record/3736457/files/1_control_18S_2019_minq7%20-%20Copy.fastq
fastqc 1_control_18S_2019_minq7%20-%20Copy.fastq

````

</div>

<br>

<div id="termynal5" data-termynal>
 
BiTIA
````bash
 
 bitia run "fastqc <https://zenodo.org/record/3736457/files/1_control_18S_2019_minq7%20-%20Copy.fastq>"
    
````

</div>
